package com.microservices.dms.resourceLibrary.service;

import java.util.List;

import com.microservices.dms.behaviorImage.domain.AchievementBehaviorSumVo;
import com.microservices.dms.resourceLibrary.domain.ExpertResourceLibrary;
import com.microservices.dms.resourceLibrary.domain.vo.KeyValVo;

/**
 * 专家资源库Service接口
 * 
 * @author microservices
 * @date 2025-04-11
 */
public interface IExpertResourceLibraryService 
{
    /**
     * 查询专家资源库
     * 
     * @param id 专家资源库主键
     * @return 专家资源库
     */
    public ExpertResourceLibrary selectExpertResourceLibraryById(Long id);

    /**
     * 查询专家资源库列表
     * 
     * @param expertResourceLibrary 专家资源库
     * @return 专家资源库集合
     */
    public List<ExpertResourceLibrary> selectExpertResourceLibraryList(ExpertResourceLibrary expertResourceLibrary);

    /**
     * 新增专家资源库
     * 
     * @param expertResourceLibrary 专家资源库
     * @return 结果
     */
    public int insertExpertResourceLibrary(ExpertResourceLibrary expertResourceLibrary);

    /**
     * 修改专家资源库
     * 
     * @param expertResourceLibrary 专家资源库
     * @return 结果
     */
    public int updateExpertResourceLibrary(ExpertResourceLibrary expertResourceLibrary);

    /**
     * 批量删除专家资源库
     * 
     * @param ids 需要删除的专家资源库主键集合
     * @return 结果
     */
    public int deleteExpertResourceLibraryByIds(Long[] ids);

    /**
     * 删除专家资源库信息
     * 
     * @param id 专家资源库主键
     * @return 结果
     */
    public int deleteExpertResourceLibraryById(Long id);

    List<ExpertResourceLibrary> selectExpertResourceLibraryList2(ExpertResourceLibrary expertResourceLibrary);

    Long auditExpertCount();

    Long competitionAuditCount();

    Long taskAuditCount();

    AchievementBehaviorSumVo getActDataStatisticById(Long id);

    AchievementBehaviorSumVo getWatchFavoriteStatusById(Long id, Long userId);
}
